#ifndef _COMMON_CALLBACKDATAHOOK_HPP_
#define _COMMON_CALLBACKDATAHOOK_HPP_
#ifndef _COMMON_CALLBACKDATA_HPP_
#include <common/cbdata.hpp>
#endif

class CallbackDataHook : public CallbackData
{
public:
	CallbackDataHook(void);
	CallbackDataHook(const CallbackDataHook &someCallbackDataHook);
	CallbackDataHook(const CallbackData &someCallbackData);
	CallbackDataHook(WPARAM wParam,LPARAM lParam,HWND hWndFrom=0);
	virtual ~CallbackDataHook();
	CallbackDataHook &operator=(const CallbackDataHook &someCallbackDataHook);
	CallbackData::ReturnType hookReturnCode(void)const;
	void hookReturnCode(CallbackData::ReturnType hookReturnCode);
private:
	CallbackData::ReturnType mHookReturnCode;
};
#endif
